Skip to main content
GET
/
api
/
v1
/
public
/
indexation
/
summary
Get Indexation Summary
curl --request GET \
  --url https://api.tryhikoo.com/api/v1/public/indexation/summary \
  --header 'Authorization: Bearer <token>'
{
  "total_pages": 123,
  "by_category": {},
  "health_passed": 123,
  "health_failed": 123,
  "errors_by_type": {}
}

Authorizations

Authorization
string
header
required

Personal API key created in the dashboard (Settings > API keys).

Headers

authorization
string | null

Bearer <api_key>

X-MCP-Secret
string | null

Query Parameters

website_id
integer
required

Target website id

Response

Successful Response

Summary statistics for website pages.

total_pages
integer
required
by_category
By Category · object
required
health_passed
integer
required
health_failed
integer
required
errors_by_type
Errors By Type · object